package org.wfc.omada.api.maintenance.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * BackupFileListVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:40:12.680+08:00[Asia/Shanghai]")

public class BackupFileListVo   {
  @JsonProperty("fileList")
  @Valid
  private List<BackupFileResultVo> fileList = null;

  public BackupFileListVo fileList(List<BackupFileResultVo> fileList) {
    this.fileList = fileList;
    return this;
  }

  public BackupFileListVo addFileListItem(BackupFileResultVo fileListItem) {
    if (this.fileList == null) {
      this.fileList = new ArrayList<>();
    }
    this.fileList.add(fileListItem);
    return this;
  }

  /**
   * File list of backup files.
   * @return fileList
  */
  @ApiModelProperty(value = "File list of backup files.")

  @Valid

  public List<BackupFileResultVo> getFileList() {
    return fileList;
  }

  public void setFileList(List<BackupFileResultVo> fileList) {
    this.fileList = fileList;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    BackupFileListVo backupFileListVo = (BackupFileListVo) o;
    return Objects.equals(this.fileList, backupFileListVo.fileList);
  }

  @Override
  public int hashCode() {
    return Objects.hash(fileList);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class BackupFileListVo {\n");
    
    sb.append("    fileList: ").append(toIndentedString(fileList)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

